=== include/ignition/CMakeLists.txt ===
add_subdirectory(gazebo)
