=== debian/control ===
Source: ignition-gazebo5
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libtinyxml2-dev,
               libignition-tools-dev,
               libignition-cmake2-dev,
               libignition-common4-av-dev,
               libignition-common4-profiler-dev,
               libignition-common4-events-dev,
               libignition-fuel-tools6-dev,
               libignition-gui5-dev,
               libignition-math6-dev (>= 6.6.0),
               libignition-math6-eigen3-dev (>= 6.6.0),
               libignition-msgs7-dev,
               libignition-plugin-dev,
               libignition-physics4-dev,
               libignition-sensors5-dev,
               libignition-rendering5-dev,
               libignition-transport10-log-dev,
               libignition-utils1-cli-dev,
               libignition-utils1-dev,
               libsdformat11-dev
Vcs-Browser: https://github.com/ignition-release/ign-gazebo5-release
Vcs-Git: https://github.com/ignition-release/ign-gazebo5-release
Homepage: http://ignitionrobotics.org/

Package: libignition-gazebo5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qml-module-qtqml-models2
Multi-Arch: same
Description: Ignition Gazebo classes and functions for robot apps - Shared library
  Ignition Gazebo is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

Package: libignition-gazebo5-plugins
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Gazebo classes and functions for robot apps - Plugins
  Ignition Gazebo is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Plugins collection

Package: libignition-gazebo5-dev
Architecture: any
Section: libdevel
Depends: libtinyxml2-dev,
         libignition-tools-dev,
         libignition-cmake2-dev,
         libignition-common4-av-dev,
         libignition-common4-profiler-dev,
         libignition-common4-events-dev,
         libignition-fuel-tools6-dev,
         libignition-gui5-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-math6-eigen3-dev (>= 6.6.0),
         libignition-msgs7-dev,
         libignition-plugin-dev,
         libignition-physics4-dev,
         libignition-sensors5-dev,
         libignition-rendering5-dev,
         libignition-transport10-log-dev,
         libignition-utils1-cli-dev,
         libignition-utils1-dev,
         libsdformat11-dev,
         libignition-gazebo5 (= ${binary:Version}),
         libignition-gazebo5-plugins (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Gazebo classes and functions for robot apps - Development files
  Ignition Gazebo is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files

Package: libignition-gazebo5-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-gazebo5 (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Ignition Gazebo classes and functions for robot apps - Debug symbols
  Ignition Gazebo is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Debug symbols
